View Issue Details

IDProjectCategoryView StatusLast Update
0004351SymmetricDSImprovementpublic2020-06-04 13:55
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004351: Change registration to send request parameters as POST instead of GET
DescriptionTo improve security, change registration to send the node request parameters as POST data instead of query parameters in the GET URL. This change prevents logging of potentially sensitive information. The registration URI handler retrieves request parameters from either POST or GET, so this change is backwards compatible.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 98efcef5

2020-04-16 09:16:59

admin

Details Diff
0004351: Change registration to send request parameters as POST instead
of GET
Affected Issues
0004351
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File

SymmetricDS: 3.12 5eb48870

2020-05-12 13:53:09

admin

Details Diff
0004351: check null on POST values Affected Issues
0004351
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File

Issue History

Date Modified Username Field Change
2020-04-16 09:15 elong New Issue
2020-04-16 09:15 elong Status new => assigned
2020-04-16 09:15 elong Assigned To => elong
2020-04-16 09:17 elong Status assigned => resolved
2020-04-16 09:17 elong Resolution open => fixed
2020-04-16 09:17 elong Fixed in Version => 3.12.0
2020-04-16 10:00 admin Changeset attached => SymmetricDS 3.12 98efcef5
2020-05-26 14:48 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.12 5eb48870